-- resources-exp
-- Author: JNR
--------------------------------------------------------------

-- Resources
--------------------------------------------------------------
UPDATE Resources SET												Tooltip='LOC_EXP_RESOURCE_TRUFFLES_TOOLTIP'				WHERE ResourceType='RESOURCE_SALT';
UPDATE Resources SET												Tooltip='LOC_EXP_RESOURCE_WOOL_TOOLTIP_JNR_EXPEXP'		WHERE ResourceType='RESOURCE_WOOL';
UPDATE Resources SET ResourceClassType='RESOURCECLASS_TREASURE',	Tooltip='LOC_EXP_RESOURCE_TRUFFLES_TOOLTIP_JNR_EXPEXP'	WHERE ResourceType='RESOURCE_TRUFFLES';
UPDATE Resources SET ResourceClassType='RESOURCECLASS_TREASURE'																WHERE ResourceType='RESOURCE_WINE';
UPDATE Resources SET ResourceClassType='RESOURCECLASS_TREASURE',	Tooltip='LOC_EXP_RESOURCE_IVORY_TOOLTIP_JNR_EXPEXP'		WHERE ResourceType='RESOURCE_IVORY';
UPDATE Resources SET ResourceClassType='RESOURCECLASS_TREASURE',	Tooltip='LOC_EXP_RESOURCE_MARBLE_TOOLTIP_JNR_EXPEXP'	WHERE ResourceType='RESOURCE_MARBLE';
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,										Kind)
VALUES	('MOD_JNR_WOOL_CITY_FLAT_HAPPINESS_TYPE',	'KIND_MODIFIER'),
		('MOD_JNR_WOOL_CITY_FLAT_PRODUCTION_TYPE',	'KIND_MODIFIER'),
		('MOD_JNR_TRUFFLES_FLAT_HAPPINESS_TYPE',	'KIND_MODIFIER'),
		('MOD_JNR_TRUFFLES_GOLDEN_AGE_FOOD_TYPE',	'KIND_MODIFIER');
--------------------------------------------------------------

-- DynamicModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO DynamicModifiers
		(ModifierType,								CollectionType,						EffectType)
VALUES	('MOD_JNR_WOOL_CITY_FLAT_HAPPINESS_TYPE',	'COLLECTION_ALL_PLAYERS',			'EFFECT_CITY_ADJUST_YIELD_PER_RESOURCE'),
		('MOD_JNR_WOOL_CITY_FLAT_PRODUCTION_TYPE',	'COLLECTION_ALL_PLAYERS',			'EFFECT_CITY_ADJUST_YIELD_PER_RESOURCE'),
		('MOD_JNR_TRUFFLES_FLAT_HAPPINESS_TYPE',	'COLLECTION_ALL_CAPITAL_CITIES',	'EFFECT_PLAYER_ADJUST_YIELD_PER_RESOURCE_TYPE'),
		('MOD_JNR_TRUFFLES_GOLDEN_AGE_FOOD_TYPE',	'COLLECTION_ALL_PLAYERS',			'EFFECT_PLAYER_ADJUST_YIELD_PER_RESOURCE_TYPE');
--------------------------------------------------------------
		
-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,							ModifierType)
VALUES	('MOD_JNR_WOOL_CITY_FLAT_HAPPINESS',	'MOD_JNR_WOOL_CITY_FLAT_HAPPINESS_TYPE'),
		('MOD_JNR_WOOL_CITY_FLAT_PRODUCTION',	'MOD_JNR_WOOL_CITY_FLAT_PRODUCTION_TYPE'),
		('MOD_JNR_TRUFFLES_FLAT_HAPPINESS',		'MOD_JNR_TRUFFLES_FLAT_HAPPINESS_TYPE'),
		('MOD_JNR_TRUFFLES_GOLDEN_AGE_FOOD',	'MOD_JNR_TRUFFLES_GOLDEN_AGE_FOOD_TYPE');
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,							Name,					Value)
VALUES	('MOD_JNR_WOOL_CITY_FLAT_HAPPINESS',	'ResourceType',			'RESOURCE_WOOL'),
		('MOD_JNR_WOOL_CITY_FLAT_HAPPINESS',	'YieldType',			'YIELD_HAPPINESS'),
		('MOD_JNR_WOOL_CITY_FLAT_HAPPINESS',	'Amount',				3),
		('MOD_JNR_WOOL_CITY_FLAT_HAPPINESS',	'PercentMultiplier',	0),
		('MOD_JNR_WOOL_CITY_FLAT_PRODUCTION',	'ResourceType',			'RESOURCE_WOOL'),
		('MOD_JNR_WOOL_CITY_FLAT_PRODUCTION',	'YieldType',			'YIELD_PRODUCTION'),
		('MOD_JNR_WOOL_CITY_FLAT_PRODUCTION',	'Amount',				3),
		('MOD_JNR_WOOL_CITY_FLAT_PRODUCTION',	'PercentMultiplier',	0),
		('MOD_JNR_TRUFFLES_FLAT_HAPPINESS',		'ResourceType',			'RESOURCE_TRUFFLES'),
		('MOD_JNR_TRUFFLES_FLAT_HAPPINESS',		'YieldType',			'YIELD_HAPPINESS'),
		('MOD_JNR_TRUFFLES_FLAT_HAPPINESS',		'Amount',				3),
		('MOD_JNR_TRUFFLES_FLAT_HAPPINESS',		'PercentMultiplier',	0),
		('MOD_JNR_TRUFFLES_GOLDEN_AGE_FOOD',	'ResourceType',			'RESOURCE_TRUFFLES'),
		('MOD_JNR_TRUFFLES_GOLDEN_AGE_FOOD',	'YieldType',			'YIELD_FOOD'),
		('MOD_JNR_TRUFFLES_GOLDEN_AGE_FOOD',	'Amount',				10),
		('MOD_JNR_TRUFFLES_GOLDEN_AGE_FOOD',	'PercentMultiplier',	1);
		
UPDATE ModifierArguments SET Value='RESOURCE_SALT'	WHERE Name='ResourceType' AND ModifierId='MOD_TRUFFLES_UNIT_PRODUCTION';

UPDATE ModifierArguments SET Value='RESOURCE_IVORY'	WHERE Name='ResourceType' AND ModifierId='MOD_MARBLE_DESERT_WONDER_PRODUCTION';
UPDATE ModifierArguments SET Value='RESOURCE_IVORY'	WHERE Name='ResourceType' AND ModifierId='MOD_MARBLE_PLAINS_WONDER_PRODUCTION';
UPDATE ModifierArguments SET Value='RESOURCE_IVORY'	WHERE Name='ResourceType' AND ModifierId='MOD_MARBLE_TROPICAL_WONDER_PRODUCTION';
--------------------------------------------------------------

-- GameModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO GameModifiers
		(ModifierId)
VALUES	('MOD_JNR_WOOL_CITY_FLAT_HAPPINESS'),
		('MOD_JNR_WOOL_CITY_FLAT_PRODUCTION'),
		('MOD_JNR_TRUFFLES_FLAT_HAPPINESS'),
		('MOD_JNR_TRUFFLES_GOLDEN_AGE_FOOD');
		
DELETE FROM GameModifiers WHERE ModifierId='MOD_IVORY_CITY_FLAT_PRODUCTION';
DELETE FROM GameModifiers WHERE ModifierId='MOD_IVORY_CITY_FLAT_HAPPINESS';
--------------------------------------------------------------

-- ModifierMetadatas
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierMetadatas
		(ModifierId,							FieldName,		String)
VALUES	('MOD_JNR_WOOL_CITY_FLAT_HAPPINESS',	'ResourceType',	'RESOURCE_WOOL'),
		('MOD_JNR_WOOL_CITY_FLAT_PRODUCTION',	'ResourceType',	'RESOURCE_WOOL'),
		('MOD_JNR_TRUFFLES_FLAT_HAPPINESS',		'ResourceType',	'RESOURCE_TRUFFLES'),
		('MOD_JNR_TRUFFLES_GOLDEN_AGE_FOOD',	'ResourceType',	'RESOURCE_TRUFFLES');
		
UPDATE ModifierMetadatas SET String='RESOURCE_SALT'		WHERE FieldName='ResourceType' AND ModifierId='MOD_TRUFFLES_UNIT_PRODUCTION';

UPDATE ModifierMetadatas SET String='RESOURCE_IVORY'	WHERE FieldName='ResourceType' AND ModifierId='MOD_MARBLE_DESERT_WONDER_PRODUCTION';
UPDATE ModifierMetadatas SET String='RESOURCE_IVORY'	WHERE FieldName='ResourceType' AND ModifierId='MOD_MARBLE_PLAINS_WONDER_PRODUCTION';
UPDATE ModifierMetadatas SET String='RESOURCE_IVORY'	WHERE FieldName='ResourceType' AND ModifierId='MOD_MARBLE_TROPICAL_WONDER_PRODUCTION';

DELETE FROM ModifierMetadatas WHERE ModifierId='MOD_IVORY_CITY_FLAT_PRODUCTION';
DELETE FROM ModifierMetadatas WHERE ModifierId='MOD_IVORY_CITY_FLAT_HAPPINESS';
--------------------------------------------------------------
